This is the technical support forum for WPML - the multilingual WordPress plugin.

Everyone can read, but only WPML clients can post here. WPML team is replying on the forum 6 days per week, 22 hours per day.

Tagged: 

This topic contains 4 replies, has 3 voices.

Last updated by Joris 9 months ago.

Assigned support staff: Noman.

Author Posts
January 13, 2019 at 9:01 am #3084329

jonasT-8

Hi,

I just noticed, that when WPML is active, I get a problem in gutenberg. When trying to edit a page or post there is a new warning "Gutenberg needs JavaScript to work. Please enable Javascript in your Browser". Well, I have it enabled and on another of my pages everything works fine. With deactivating WPML everything works like a charm.

WPML is on version 4.1.3, WP on 5.0.3.

January 13, 2019 at 10:02 am #3084397

Noman
Supporter

Languages: English (English )

Timezone: Asia/Karachi (GMT+05:00)

Hi,

Thank you for contacting WPML Support. This is a known issue. The fix for that is ready and being tested, the release will be out probably after the weekend.

Thank you for your cooperation and patience.

January 22, 2019 at 10:13 am #3115565

Joris

Hi Norman,

Same problem here and also the Yoast Premium advertising notices which show up all the time (https://wordpress.org/support/topic/how-to-remove-do-you-want-to-preview-premium-advertising/). The Gutenberg editor is a mess because of this.

Could you provide us with a fix since it’s a known issue and the fix is ready?

WPML 4.1.3, WP 5.0.3.

January 22, 2019 at 11:56 am #3116089

Noman
Supporter

Languages: English (English )

Timezone: Asia/Karachi (GMT+05:00)

We have released latest version of WPML v4.1.4 which fixes this issue, please backup your site and update WPML plugin and all its addons to the latest version:
https://wpml.org/account/downloads/

Thanks

January 22, 2019 at 1:22 pm #3116610

Joris

WPML v4.1.4 fixed issue(s) . Thanks!